Hi,
On Tue, 17 Feb 2009, Jay Soffian wrote:
quoted hunk ↗ jump to hunk
It does not make sense to provide multiple upstream branches to either
git pull --rebase, or to git rebase, so disallow both.
Signed-off-by: Jay Soffian <redacted>
---
git-pull.sh | 5 +++++
git-rebase.sh | 1 +
2 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/git-pull.sh b/git-pull.sh
index 2c7f432..25adddf 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -171,6 +171,11 @@ case "$merge_head" in
echo >&2 "Cannot merge multiple branches into empty head"
exit 1
fi
+ if test true = "$rebase"
+ then
+ echo >&2 "Cannot rebase onto multiple branches"
+ exit 1
+ fi
;;
esac
Good catch!
quoted hunk ↗ jump to hunk
diff --git a/git-rebase.sh b/git-rebase.sh
index 5d9a393..ffb6027 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -319,6 +319,7 @@ do
esac
shift
done
+test $# -gt 1 && usage
Did you just break
$ git rebase $UPSTREAM $BRANCH_TO_SWITCH_TO
?
Ciao,
Dscho